Get All Integration Tables

This endpoint lists all the tables created under a certain S3 integration or shared with it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

The response contains a TablesList response, listing all tables accessible using the given integration. When no integration name is provided - the default integration name is "s3_default".

TablesList Object

This object contains all tables the user can access using the given integration.

PropertyDescriptionExample
  • *sharedtables** _List[SharedTable]
The tables shared with the integration.[
"global_daily"
]
  • *tables** List[IntegrationTable]
The tables created within the integration.[
"site_visits"
]
📘

Note:

This endpoint is relevant only if the requesting user has a set tables in his integration on S3 or some tables have been shared with his integration.


SharedTable Object

This object contains the information of a table shared with the integration from another integration. These tables are not owned by the user's account.

PropertyDescriptionExample
location strThe S3 location of the shared table."s3://dummy_bucket/12345678/my_integration/global_daily"
table_name strThe name of the shared table."global_daily"

IntegrationTable Object

The object contains the information of a table defined within the given integration (usually these tables are created by the user himself).

PropertyDescriptionExample
  • *columns** Dict[str, List[str]]
The table's columns names.{
"names": [
"domain",
"country",
"date",
"all_traffic_visits",
"desktop_visits",
"mobile_visits"
]
}
  • *granularity** str
The granularity of the data in the table. Can be 'daily', 'weekly' or 'monthly'."daily"
  • *location** str
The S3 location where the table's data is saved."s3://dummy_bucket/12345678/integration_1/site_visits"
  • *metrics** List[str]
The metrics that their data is included in the table.[
"all_traffic_visits",
"desktop_visits",
"mobile_visits"
]
  • *tablename** _str
The name of the table."site_visits"
  • *vtable** str
The name of the vtable from which the data is extracted."traffic_and_engagement"
Path Params
string
required
Defaults to s3_default

The name of the client's integration

Query Params
string

Must be one of 'bucket_access', 'google_bucket_access' or 'snowflake'.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json